---
Name: betterbuttons
---
SilverStripe\ORM\DataObject:
  extensions:
    - UncleCheese\BetterButtons\Extensions\BetterButtonDataObject
SilverStripe\Forms\GridField\GridFieldDetailForm_ItemRequest:
  extensions:
    - UncleCheese\BetterButtons\Extensions\GridFieldBetterButtonsItemRequest

BetterButtonsUtils:
  edit:
    BetterButtonPrevNextAction: true
    BetterButton_New: true
  versioned_edit:
    BetterButtonPrevNextAction: true
    BetterButton_New: true
  create:
    BetterButton_New: true

BetterButtonsActions:
  create:
    BetterButton_Save: true
    BetterButton_SaveAndClose: true

  edit:
    BetterButton_Save: true
    BetterButton_SaveAndClose: true
    BetterButton_Delete: true
    BetterButtonFrontendLinksAction: true

  versioned_create:
    BetterButton_SaveDraft: true
    BetterButton_Publish: true
  versioned_edit:
    BetterButton_SaveDraft: true
    BetterButton_Publish: true
    Group_Versioning: true
    BetterButton_Delete: true
    BetterButtonFrontendLinksAction: true

BetterButtonsGroups:
  SaveAnd:
    label: Save and...
    buttons:
      BetterButton_SaveAndAdd: true
      BetterButton_SaveAndClose: true
      BetterButton_SaveAndNext: true
      BetterButton_SaveAndPrev: true
  Versioning:
    label: Versioning...
    buttons:
      BetterButton_Rollback: true
      BetterButton_Unpublish: true
---
Only:
  classexists: EditableFormField
---
EditableFormField:
  better_buttons_versioned_enabled: false
---
Only:
  classexists: EditableOption
---
EditableOption:
  better_buttons_versioned_enabled: false
